/*包含n个用于间接更新状态的方法的对象模块*/
import {SAVE_USER,RESET_USER} from './mutation-types'

export default {

  saveUser ({commit}, user) {
    // 提交一个mutation请求
    commit(SAVE_USER, {user}) // 传递给mutation的是一个包含数据的对象
  },

  resetUser ({commit}) {
    // 提交一个mutation请求
    commit(RESET_USER) // 传递给mutation的是一个包含数据的对象
  },

}
